Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.vertx.groovy.core.eventbus
[Groovy] Class Message

    java.lang.Object
      org.vertx.groovy.core.eventbus.Message

    class Message

Property Summary
`java.lang.Object` | `body` The body of the message

Constructor Summary
`Message(JMessage jMessage)`

Method Summary
`java.lang.String` | `getReplyAddress()`
`void` | `reply(java.lang.Object message, groovy.lang.Closure replyHandler = null)` Reply to this message.
`void` | `setReplyAddress(java.lang.String address)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### body

    java.lang.Object body

  The body of the message

Constructor Detail

### Message

    Message(JMessage jMessage)

Method Detail

### getReplyAddress

    java.lang.String getReplyAddress()

### reply

    void reply(java.lang.Object message, groovy.lang.Closure replyHandler = null)

  Reply to this message. If the message was sent specifying a reply handler, that handler will be called when it has received a reply. If the message wasn't sent specifying a receipt handler this method does nothing.
  Parameters:
    `message` - The reply message
    `replyHandler` - Optional reply handler, so you can get a reply to your reply

### setReplyAddress

    void setReplyAddress(java.lang.String address)

Groovy Documentation